/* *******************************************************************
   OUTPUT
   generic functions to output data to your displays/monitors
   ***************************************************************** */
#pragma once

/* 
  @brief output of data to Serial
*/
void serialOutput() {
  if (weather.cod > 0) {               // "Error" condition in API 3.0 data
    Serial.print("cod:           "); Serial.println(weather.cod);
    Serial.print("message:       "); Serial.println(weather.message);
    return;    
  }
  Serial.print("current temp:  "); Serial.println(weather.current_temp);
  Serial.print("feels like:    "); Serial.println(weather.current_feels_like);
  Serial.print("pressure:      "); Serial.println(weather.current_pressure);
  Serial.print("humidity:      "); Serial.println(weather.current_humidity);
  Serial.print("wind speed:    "); Serial.println(weather.current_wind_speed);
  Serial.print("main:          "); Serial.println(weather.current_weather_0_main);
  Serial.print("description:   "); Serial.println(weather.current_weather_0_description);
  Serial.print("summary:       "); Serial.println(weather.daily_0_summary);

  if (weather.alerts_0_event != "") {
    Serial.print("alert_0_sender:"); Serial.println(weather.alerts_0_sender_name);
    Serial.print("event:         "); Serial.println(weather.alerts_0_event);
    Serial.print("description:   "); Serial.println(weather.alerts_0_description);
    Serial.print("tag:           "); Serial.println(weather.alerts_0_tags_0);
  }
}

/* 
  @brief outputs data every minute

  This function is optional. It just demonstrates how to trigger another task
*/
void outputTimer() {
  static uint32_t previousMillis = 0;
  if (millis() - previousMillis > 1 * 60 * 1000UL) {
    previousMillis = millis();
    serialOutput();
    // add other interfaces here
  }
}
//